#!/bin/bash

# Appeler ce script avec ou sans arguments, et observer ce qui se passe.

for a
do
 echo -n "$a "
done

#  La 'liste' est manquante, donc la boucle opère sur '$@'
#+ (la liste d'arguments sur la ligne de commande, y compris les blancs).

echo

exit 0
